---
updatedAt: 2026-09-24T16:41:23.000Z
---

# Suggested Keywords

Get a list of suggested keywords based on the item added in the ad group.

<Callout icon="🌐" theme="default">
  ### URL: ​GET /api/v1/keyword_suggestions
</Callout>

**Note:** Suggested bid parameter is an automated bid-price recommendation based on winning bids for recent similar ads within the category. The suggested bid values are refreshed daily.

# Query Parameters

| Parameter | Notes              | Type    | Required | Possible Values           |
| --------- | ------------------ | ------- | -------- | ------------------------- |
| adGroupId | ID of the ad group | integer | Y        | Unique numeric identifier |

## Headers

## Headers

| Header Name              | Description                                                                                                            | Required | Values                                                                                                                                           |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization            | The token will provide you the access to the API. It is same for all advertisers you access through the API.           | Y        | Please utilize the generated `auth_token` shared with you at the time of partner onboarding from the Getting Started Guide                       |
| WM\_CONSUMER.ID          | We will provide you the consumer ID to access the API. It is same for all advertisers you access   through the API.    | Y        | Please use the generated `ConsumerId` shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM\_SEC.AUTH\_SIGNATURE  | Auth signature as an API key.                                                                                          | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| WM\_SEC.KEY\_VERSION     | We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y        | 1                                                                                                                                                |
| WM\_CONSUMER.intimestamp | Timestamp for  which the auth signature is generated. Use Unix epoch format for the timestamp.                         | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| Content-Type             | Format of the message body                                                                                             | Y        | application/json                                                                                                                                 |

<br />

## Sample Request

```
curl -X GET \
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/keyword_suggestions?adGroupId=4566' \
--header 'Authorization: Bearer <auth_token>' \ 
--header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
```

# Response

| Element            | Description                                                                                                                                                                            | Type   |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| score              | Suggested keyword relevancy indicator. `score` is a rank given to each keyword from 1 to n where n is the number of keywords returned. Higher score value represents higher relevancy. | double |
| query              | Suggested keyword for the item(s) added in the ad group.                                                                                                                               | string |
| suggestedbidBroad  | Automated bid-price recommendations for broad match type.                                                                                                                              | double |
| suggestedbidExact  | Automated bid-price recommendations for exact match type.                                                                                                                              | double |
| suggestedbidPhrase | Automated bid-price recommendations for phrase match type.                                                                                                                             | double |

Note: `suggestedBid` and `suggestedbidExact` are same in value.

## Sample Response

```
[
  {
    "score": 4,
    "query": "sample value key1 normalized",
    "suggestedBidBroad": 1.42,
    "suggestedBidExact": 1.42,
    "suggestedBidPhrase": 1.42
  }
]
```